=== debian/control ===
Source: ros-lunar-rviz-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqt5x11extras5-dev, ros-lunar-catkin, ros-lunar-eigen-conversions, ros-lunar-eigen-stl-containers, ros-lunar-geometry-msgs, ros-lunar-graph-msgs, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest, ros-lunar-rosunit, ros-lunar-rviz, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf-conversions, ros-lunar-trajectory-msgs, ros-lunar-visualization-msgs
Homepage: https://github.com/davetcoleman/rviz_visual_tools
Standards-Version: 3.9.2

Package: ros-lunar-rviz-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5x11extras5-dev, ros-lunar-eigen-conversions, ros-lunar-eigen-stl-containers, ros-lunar-geometry-msgs, ros-lunar-graph-msgs, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rviz, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf-conversions, ros-lunar-trajectory-msgs, ros-lunar-visualization-msgs
Description: Utility functions for displaying and debugging data in Rviz via published markers
